jvx.loader

## Class PgAnsLoader

- java.lang.Object
- - jv.loader.PgAbstractLoader
  - - jvx.loader.PgAnsLoader

- All Implemented Interfaces:
    PgLoaderIf

      public final class PgAnsLoader
      extends PgAbstractLoader

  Loader for finite element geometries in Ansys file format. This reader supports a subset of the commands.
  Author:
    Konrad Polthier
  Version:
    22.03.10, 2.00 revised (kp) Superclass changed to PgAbstractLoader.
    06.10.03, 1.85 revised (kp) Interface extended by isEnabledOptimization().
    19.04.03, 1.80 revised (kp) Interface extended by setGeometryOption().
    21.08.02, 1.70 revised (kp) New methods getGeometries/getAnimations of PgLoaderIf implemented.
    23.09.01, 1.60 revised (kp) Implement PgLoaderIf extended with methods for display options.
    11.06.01, 1.50 revised (kp) Implement PgLoaderIf.
    14.11.00, 1.01 revised (sk) Data loader added in parse.
    17.09.00, 1.00 created (kp)

- - ### Field Summary

    - ### Fields inherited from interface jv.loader.PgLoaderIf

      `GEOM_DATA_AUTHOR, GEOM_DATA_COLORS, GEOM_DATA_HEADER, GEOM_DATA_INFO, GEOM_DATA_NORMALS, GEOM_DATA_TEXTURE, GEOM_DATA_VECTORS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgAnsLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PgJvxSrc[]` | `read(java.io.BufferedReader in)` Read geometry file in Ansys file format.

    - ### Methods inherited from class jv.loader.PgAbstractLoader

      `getAnimations, getDisplayOption, getGeometries, getSpecializedGeometries, isAnimation, isEnabledOptimization, load, read, setAnimation, setDisplayOption, setGeometryOption, write, write`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PgAnsLoader

          public PgAnsLoader()

  - ### Method Detail

    - #### read

          public PgJvxSrc[] read(java.io.BufferedReader in)

      Read geometry file in Ansys file format.

      Alternatively, one may call load(BuffereredReader) followed by getGeometries() resp. getAnimations() to have a finer control about which information one wants to use from a source. For example, optional display information must be retrieve by a subsequent call getDisplayOption() if available.

      Specified by:
        `read` in interface `PgLoaderIf`
      Overrides:
        `read` in class `PgAbstractLoader`
      Parameters:
        `in` - BufferedReader to read textual data from.
      Returns:
        Array of JVX geometries.
      See Also:
        `PgAbstractLoader.write(Writer, PgJvxSrc [])`
      Author:
        Konrad Polthier
      Version:
        10.06.01, 1.10 revised (kp) Return an array instead of a single geometry.
        20.02.01, 1.00 created (kp) Method body from former version read(String fileName).

"

The software JavaView? is copyright protected. All Rights Reserved.
"